<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: eXtreme_warstats_admin_mod_pekemon.php
| Author: pekemon
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

// PLIKI FUSION'A
@include_once "../../config.php";
require_once "../../../maincore.php";

include_once BASEDIR."subheader.php";

// STAŁE PANELU
require_once INFUSIONS."eXtreme_warstats_mod_pekemon/podstawowe_stale.php";

// SPRAWDZENIE PRAW DOSTĘPU DO PANELU ADMINA
if (!checkrights("I") || !defined("iAUTH") || $aid != iAUTH) fallback("../index.php");

include_once ADMIN."navigation.php";

// OTWORZENIE TABELI
opentable($locale['EWS207E']);

// WYBÓR ZAKŁADKI
if ( (isset($_GET['akcja']) && $_GET['akcja']!="2") )
{
	$ktora_zakladka_aktywna = $_GET['akcja'];
}
else 
{
	$ktora_zakladka_aktywna = "2";
}

// OPCJE WYBORU - LINKI
echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>";
echo "<tr>";
// ---------------------------- 1
if ($ktora_zakladka_aktywna == "1")
{
	echo "<td align='center' width='20%' class='tbl2'><span class='small'><a href='".FUSION_SELF.$aidlink."&amp;akcja=1'>".$locale['EWS207']."</a></span></td>";
}
else
{
	echo "<td align='center' width='20%' class='small'><span class='small'><a href='".FUSION_SELF.$aidlink."&amp;akcja=1'>".$locale['EWS207']."</a></span></td>";
}
// ---------------------------- 2
if ($ktora_zakladka_aktywna == "2")
{
	echo "<td align='center' width='20%' class='tbl2'><span class='small'><a href='".FUSION_SELF.$aidlink."&amp;akcja=2'>".$locale['EWS207A']."</a></span></td>";
}
else
{
	echo "<td align='center' width='20%' class='small'><span class='small'><a href='".FUSION_SELF.$aidlink."&amp;akcja=2'>".$locale['EWS207A']."</a></span></td>";
}
// ---------------------------- 3
if ($ktora_zakladka_aktywna == "3")
{
	echo "<td align='center' width='20%' class='tbl2'><span class='small'><a href='".FUSION_SELF.$aidlink."&amp;akcja=3'>".$locale['EWS207B']."</a></span></td>";
}
else
{
	echo "<td align='center' width='20%' class='small'><span class='small'><a href='".FUSION_SELF.$aidlink."&amp;akcja=3'>".$locale['EWS207B']."</a></span></td>";
}
// ---------------------------- 4
if ($ktora_zakladka_aktywna == "4")
{
	echo "<td align='center' width='20%' class='tbl2'><span class='small'><a href='".FUSION_SELF.$aidlink."&amp;akcja=4'>".$locale['EWS207C']."</a></span></td>";
}
else
{
	echo "<td align='center' width='20%' class='small'><span class='small'><a href='".FUSION_SELF.$aidlink."&amp;akcja=4'>".$locale['EWS207C']."</a></span></td>";
}
// ---------------------------- 5
if ($ktora_zakladka_aktywna == "5")
{
	echo "<td align='center' width='20%' class='tbl2'><span class='small'><a href='".FUSION_SELF.$aidlink."&amp;akcja=5'>".$locale['EWS207D']."</a></span></td>";
}
else
{
	echo "<td align='center' width='20%' class='small'><span class='small'><a href='".FUSION_SELF.$aidlink."&amp;akcja=5'>".$locale['EWS207D']."</a></span></td>";
}

echo "</tr>";

// AKCJA JAKA MOŻE BYĆ WYBRANA
if (isset($_GET['akcja']) && $_GET['akcja']=="1")
{
    echo "<tr>";
    echo "<td colspan='8'>";
	// FUNKCJE
    require_once FUNKCJE_MECZOW;
    require_once AKCJA_ADMIN."dodaj.php";
	echo "</td>";
	echo "</tr>";
}
else if (isset($_GET['akcja']) && $_GET['akcja']=="2")
{
	echo "<tr>";
	echo "<td colspan='8'>";
	// FUNKCJE
    require_once FUNKCJE_MECZOW;
	require_once AKCJA_ADMIN."edytuj.php";
	echo "</td>";
	echo "</tr>";
}
else if (isset($_GET['akcja']) && $_GET['akcja']=="3")
{
	echo "<tr>";
	echo "<td colspan='8'>";
	// FUNKCJE
    require_once FUNKCJE_MECZOW;
	require_once AKCJA_ADMIN."usun.php";
	echo "</td>";
	echo "</tr>";
}
else if (isset($_GET['akcja']) && $_GET['akcja']=="4")
{
	echo "<tr>";
	echo "<td colspan='8'>";
	// FUNKCJE
    require_once FUNKCJE_MECZOW;
	require_once AKCJA_ADMIN."opcje.php";
	echo "</td>";
	echo "</tr>";
}
else if (isset($_GET['akcja']) && $_GET['akcja']=="5")
{
	echo "<tr>";
	echo "<td colspan='8'>";
	require_once AKCJA_ADMIN."informacje.php";
	echo "</td>";
	echo "</tr>";
}
else
{
	header("Location:".FUSION_SELF.$aidlink."&akcja=2");
}

echo "</table>\n";

// ZAMKNIĘCIE SZABLONU
include_once "../../footer.php";
?>